Apache JMeter

## org.apache.jmeter.report.writers
Interface ReportWriter

All Known Implementing Classes:
  AbstractReportWriter, HTMLReportWriter

    public interface ReportWriter

ReportWriter defines the basic operations of a report writer. A report plan may have multiple report writers. it might be nice to have a pdf writer in the future.

Method Summary
`String` `getTargetDirectory()`
`void` `setTargetDirectory(String directory)`
`ReportSummary` `writeReport(TestElement element)`

Method Detail

### writeReport

    ReportSummary writeReport(TestElement element)

### getTargetDirectory

    String getTargetDirectory()

### setTargetDirectory

    void setTargetDirectory(String directory)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.